# GstVideoDmabufPool

Using GstUdmabufAllocator, setting defaults and implementing implicit sync.

## GstVideoDmabufPool

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstBufferPool
                    ╰──GstVideoBufferPool
                        ╰──GstVideoDmabufPool

Private instance object for GstVideoDmabufPool.

Since : 1.28

### Class structure

#### GstVideoDmabufPoolClass

##### Fields

`parent_class` (GstVideoBufferPoolClass) –

Parent Class.

### GstVideo.VideoDmabufPoolClass

##### Attributes

`parent_class` (GstVideo.VideoBufferPoolClass) –

Parent Class.

### GstVideo.VideoDmabufPoolClass

##### Attributes

`parent_class` (GstVideo.VideoBufferPoolClass) –

Parent Class.

## GstVideo.VideoDmabufPool

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.BufferPool
                    ╰──GstVideo.VideoBufferPool
                        ╰──GstVideo.VideoDmabufPool

Private instance object for GstVideo.VideoDmabufPool.

Since : 1.28

## GstVideo.VideoDmabufPool

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.BufferPool
                    ╰──GstVideo.VideoBufferPool
                        ╰──GstVideo.VideoDmabufPool

Private instance object for GstVideo.VideoDmabufPool.

Since : 1.28

### Constructors

#### gst_video_dmabuf_pool_new

    GstBufferPool *
    gst_video_dmabuf_pool_new ()

Create a new GstVideoDmabufPool instance.

Returns ( [transfer: full][nullable]) –

a GstVideoDmabufPool or NULL if dmabufs are not supported.

Since : 1.28

#### GstVideo.VideoDmabufPool.prototype.new

    function GstVideo.VideoDmabufPool.prototype.new(): {
        // javascript wrapper for 'gst_video_dmabuf_pool_new'
    }

Create a new GstVideo.VideoDmabufPool instance.

Returns (Gst.BufferPool) –

a GstVideo.VideoDmabufPool or null if dmabufs are not supported.

Since : 1.28

#### GstVideo.VideoDmabufPool.new

    def GstVideo.VideoDmabufPool.new ():
        #python wrapper for 'gst_video_dmabuf_pool_new'

Create a new GstVideo.VideoDmabufPool instance.

Returns (Gst.BufferPool) –

a GstVideo.VideoDmabufPool or None if dmabufs are not supported.

Since : 1.28

## Constants

### GST_TYPE_VIDEO_DMABUF_POOL

    #define GST_TYPE_VIDEO_DMABUF_POOL gst_video_dmabuf_pool_get_type ()

Macro that returns the GstVideoDmabufPool type.

Since : 1.28

The results of the search are